Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 4348 - Form widgets do not display Japanese correctly
: Form widgets do not display Japanese correctly
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: M10
Assigned To: rods (gone)
: Teruko Kobayashi
: Axel Hecht [:Pike]
Depends on: 6262
Blocks: 7228
  Show dependency treegraph
Reported: 1999-03-28 13:51 PST by cpratt
Modified: 1999-08-30 15:52 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description cpratt 1999-03-28 13:51:06 PST
Visit Look at the drop-down list; instead of Japanese characters, you get mojibake. This happpens even when everything
else on the page is displayed in Japanese (using the MS Gothic font under NT 4 SP 4 and after editing the prefs.js file to use this font to display
the page).

The HTML in question appears to be:

<!--------form start------>
<table><tr><td valign=top align=left>
<td valign=top align=left><nobr>
<OPTION VALUE="">$B"'A*Br%a%K%e!<(B
<OPTION value="">$B;qNA!&F~2qAk8}(B
<OPTION value="">$B2q0w$X$N$*CN$i$;(B
<OPTION value="">$B%5!<%S%90FFb(B
<OPTION value="">$B;vL3<jB3$-(B
<OPTION value="">$BL\E*JLMxMQ0FFb(B
<OPTION VALUE="">--------------
<OPTION value="">$B@\B3!&@_Dj(BQ&A

<OPTION value="">$B9qFb(BAP$B0lMw(B
<OPTION value="">$B3$30(BAP$B0lMw(B
<OPTION value="">BBB$B%5!<%S%9(B
<OPTION VALUE="">--------------
<OPTION value="">$B2q0w%[!<%`%Z!<%8(B
<OPTION VALUE="">--------------
<OPTION value="">SOHO$B%5!<%S%9(B
<OPTION value="">MMJP$B%[!<%`%Z!<%8(B
<INPUT TYPE="submit" value="Go!">

<!--------form end------>
Comment 1 msanz 1999-03-29 14:23:59 PST
Comment 2 Frank Tang 1999-04-05 13:29:59 PDT
Change the summary from "Mojibake displayed in forms" to "Form widgets does not
display Japanese correctly"

Reassign this to Peter Trudelle. In theory, if peter's engineers call the right
GFX text drawing/measuring routines in the GFX based widget, this should be
solved once peter's engineer switch the HTML form widget to the GFX based
widget from the native OS based widget.
Comment 3 Peter Trudelle 1999-04-07 01:36:59 PDT
This and most other forms widgets are karnaze's, reassigning.
Comment 4 karnaze (gone) 1999-04-12 08:56:59 PDT
Reassigning to Kevin, since it will involve gfx based option/select.
Comment 5 bobj 1999-06-15 00:38:59 PDT
Same as bug #4681?
Comment 6 bobj 1999-06-16 17:44:59 PDT
Should be fixed by Ender-based text widget.  See bug #6262.

*** This bug has been marked as a duplicate of 6262 ***
Comment 7 cpratt 1999-06-17 08:35:59 PDT
Bug 6262 sez "The following functionality needs to be implemented for editor
Enable Ender as plain text field
Enable Ender as plain text area
Enable Ender as rich text area"

Um, if this bug will be fixed by doing that, great, but that doesn't make this
bug a duplicate of 6262, does it? Reopening bug, changing dependencies to refer
to bug 6262.
Comment 8 Kevin McCluskey (gone) 1999-07-01 14:12:59 PDT
Moving to M9
Comment 9 Kevin McCluskey (gone) 1999-07-16 16:08:59 PDT
Moving to M10
Comment 10 Kevin McCluskey (gone) 1999-07-26 15:00:59 PDT
Rod, here is a something to check against the gfx-select
Comment 11 rods (gone) 1999-08-06 13:23:59 PDT
Could some veryify this on a Japanese platform? Verify using viewer with GFX
widgets turned on.
Comment 12 bobj 1999-08-06 13:50:59 PDT
Someone (Teruko?) will verify this, but you don't need a Japanese system
for displaying Japanese.  Japanese display should work fine on a US system
if you install Japanese fonts.  One such font is the Bitstream Cyberbit
font 2.0 from:

There are 3 versions:
  (1) Cyberbase.ZIP: "complete" Unicode glyph set
  (2) CyberCJK.ZIP: the Chinese, Japanese and Korean glyph subset
  (3) Cyberbit.ZIP: the non-CJK glyph subset

Installing either (1) or (2) will allow you to render Japanese.
Comment 13 bobj 1999-08-06 13:54:59 PDT
Did you want viewer or apprunner to be verified?
Comment 14 rods (gone) 1999-08-06 14:15:59 PDT
For now it just needs to be verified using the viewer with GFX turned on. I will
install the fonts on my work machine on monday, I'm low on disk space here at
Comment 15 Teruko Kobayashi 1999-08-06 15:32:59 PDT
I tested this in 8-06-09 Win32, Mac, and Linux build.  When I changed the pref to turn on GFX in Win and Linux,
Apprunner displays form widget correctly.  Mac is not testable.
Comment 16 rods (gone) 1999-08-06 15:39:59 PDT
What is up with the mac? Can I mark it fixed yet?
Comment 17 Teruko Kobayashi 1999-08-06 16:35:59 PDT
I need to correct my previous comment.  Apprunner displays non text form widget correctly.
In Mac, when I turn on the GFX in pref, the page is displayed as garbage.
Comment 18 bobj 1999-08-06 18:09:59 PDT
The GFX text widgets are being tracked in bug 6262.

On the Mac, bugzilla's display was mangled with the GFX widgets enabled.
Rectangles were being drawn strangely with a Picasso look to it.
Comment 19 rods (gone) 1999-08-09 07:34:59 PDT
This needs to be assigned to a Mac person. Is safe to describe this bug as "Mac
does not display Japanese characters correctly."
Comment 20 bobj 1999-08-09 10:45:59 PDT
The bugzilla page had no Japanese.
Comment 21 rods (gone) 1999-08-09 13:35:59 PDT
This bug is fixed. A Mac specific bug needs to be opened. Or this can be
re-opened and reassigned.
Comment 22 cpratt 1999-08-30 15:20:59 PDT
To the best of everyone's knowledge, has a bug been opened against the Mac?
Comment 23 rods (gone) 1999-08-30 15:25:59 PDT
My guess is that it hasn't been opened yet against the mac
Comment 24 Teruko Kobayashi 1999-08-30 15:52:59 PDT
Mac bugs are filed in 12824. OK, the original bug is fixed.  Tested 8-30 Win32 build.

Note You need to log in before you can comment on or make changes to this bug.